INSERT INTO tmp_usersip (
	id,
	name,
	type,
	username,
	secret,
	md5secret,
	context,
	language,
	accountcode,
	amaflags,
	allowtransfer,
	fromuser,
	fromdomain,
	mailbox,
	subscribemwi,
	buggymwi,
	'call-limit',
	callerid,
	fullname,
	cid_number,
	maxcallbitrate,
	insecure,
	nat,
	canreinvite,
	promiscredir,
	usereqphone,
	videosupport,
	trustrpid,
	sendrpid,
	allowsubscribe,
	allowoverlap,
	dtmfmode,
	rfc2833compensate,
	qualify,
	g726nonstandard,
	disallow,
	allow,
	autoframing,
	mohinterpret,
	mohsuggest,
	useclientcode,
	progressinband,
	t38pt_udptl,
	t38pt_rtp,
	t38pt_tcp,
	t38pt_usertpsource,
	rtptimeout,
	rtpholdtimeout,
	rtpkeepalive,
	deny,
	permit,
	defaultip,
	callgroup,
	pickupgroup,
	setvar,
	host,
	port,
	regexten,
	subscribecontext,
	fullcontact,
	vmexten,
	callingpres,
	ipaddr,
	regseconds,
	regserver,
	protocol,
	category,
	commented)
SELECT
	usersip.id,
	usersip.name,
	usersip.type,
	usersip.username,
	usersip.secret,
	'',
	CASE WHEN usersip.context = 'initconfig' THEN 'xivo-initconfig' ELSE NULLIF(usersip.context,'') END,
	NULL,
	NULLIF(usersip.accountcode,''),
	IFNULL(NULLIF(usersip.amaflags,''),'default'),
	NULL,
	NULLIF(usersip.fromuser,''),
	NULLIF(usersip.fromdomain,''),
	NULL,
	0,
	NULL,
	usersip."call-limit",
	usersip.callerid,
	NULL,
	NULL,
	NULL,
	NULLIF(usersip.insecure,''),
	NULLIF(usersip.nat,''),
	NULLIF(usersip.canreinvite,''),
	NULL,
	NULL,
	NULL,
	NULL,
	NULL,
	NULL,
	NULL,
	NULLIF(usersip.dtmfmode,''),
	NULL,
	NULLIF(usersip.qualify,''),
	NULL,
	NULLIF(usersip.disallow,''),
	NULLIF(usersip.allow,''),
	NULL,
	NULL,
	NULL,
	NULL,
	NULL,
	NULL,
	NULL,
	NULL,
	NULL,
	NULLIF(usersip.rtptimeout,''),
	NULLIF(usersip.rtpholdtimeout,''),
	NULL,
	NULLIF(usersip.deny,''),
	NULLIF(usersip.permit,''),
	NULL,
	NULL,
	NULL,
	'',
	IFNULL(NULLIF(usersip.host,''),'dynamic'),
	NULLIF(usersip.port,''),
	NULLIF(usersip.regexten,''),
	NULL,
	NULLIF(usersip.fullcontact,''),
	NULL,
	NULL,
	IFNULL(usersip.ipaddr,''),
	IFNULL(usersip.regseconds,0),
	NULL,
	'sip',
	'trunk',
	usersip.commented
FROM usersip
WHERE usersip.category = 'trunk';

INSERT INTO tmp_contextmember (
	context,
	type,
	typeval,
	varname)
SELECT
	tmp_usersip.context,
	'trunksip',
	tmp_usersip.id,
	'context'
FROM tmp_usersip
WHERE category = 'trunk'
AND context IS NOT NULL;
